CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

GripSize Property (ActiveX)

2023-1-3 15:17| 发布者: admin| 查看: 418| 评论: 0|来自: AutoCAD

摘要: 指定夹点的大小。

指定夹点的大小。

支持的平台:仅窗口

签名

工 务 局:

object.GripSize
对象

类型:首选项选择

此属性适用的对象。

属性值

只读:

类型:朗特

为显示夹点而绘制的框的大小(以像素为单位)。此属性的实际范围是 1 到 20,尽管 1 到 255 之间的任何值都是有效的。

言论

此属性的初始值为 3。

注意:此属性的值存储在 GRIPSIZE 系统变量中。

例子

工 务 局:

Sub Example_GripSize()
    ' This example reads and modifies the preference value that controls
    ' the size of grips. When finished, this example resets the
    ' preference value back to its original value.
    
    Dim ACADPref As AcadPreferencesSelection
    Dim originalValue As Variant, newValue As Variant
    
    ' Get the selection preferences object
    Set ACADPref = ThisDrawing.Application.preferences.Selection
    
    ' Read and display the original value
    originalValue = ACADPref.GripSize
    MsgBox "The GripSize preference is set to: " & originalValue

    ' Modify the GripSize preference by setting it to 5
    ACADPref.GripSize = 5
    newValue = ACADPref.GripSize
    MsgBox "The GripSize preference has been set to: " & newValue

    ' Reset the preference back to its original value
    '
    ' * Note: Comment out this last section to leave the change to
    '         this preference in effect
    ACADPref.GripSize = originalValue
    MsgBox "The GripSize preference was reset back to: " & originalValue
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_GripSize()
    ;; This example reads and modifies the preference value that controls
    ;; the size of grips. When finished, this example resets the
    ;; preference value back to its original value.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Get the selection preferences object
    (setq ACADPref (vla-get-Selection (vla-get-preferences acadObj)))
    
    ;; Read and display the original value
    (setq originalValue (vla-get-GripSize ACADPref))
    (alert (strcat "The GripSize preference is set to: " (itoa originalValue)))

    ;; Modify the GripSize preference by setting it to 7
    (vla-put-GripSize ACADPref 7)
    (setq newValue (vla-get-GripSize ACADPref))
    (alert (strcat "The GripSize preference has been set to: " (itoa newValue)))

    ;; Reset the preference back to its original value
    ;;
    ;; * Note: Comment out this last section to leave the change to
    ;;         this preference in effect
    (vla-put-GripSize ACADPref originalValue)
    (alert (strcat "The GripSize preference was reset back to: " (itoa originalValue)))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 01:07

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部